<?php


return  
    [
        'model' => [
            'model' => \Bixo\Employee\Models\Employee::class,
            'table' => 'bixo_employee_employees',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['ref',  'user_id',  'referred_by',  'company_id',  'branch_id',  'department_id',  'division_id',  'manager_id',  'name',  'martial_status',  'religion',  'process_step',  'employment_history',  'contact_home',  'contact_work',  'contact_emergency',  'bank_account',  'contract',  'current_salary',  'current_salary_date',  'prev_salary',  'probation_period',  'commission_per',  'flexible_com',  'notes',  'status',  'employee_updates',  'week_off',  'employee_code',  'terminate_reason',  'terminate_date',  'has_attendance',  'other_type',  'sponsor',  'terminated_type',  'transfer_date',  'position_history',  'user_type',  'created_id'],
            'translatables' => [],
            'upload_folder' => 'employee/employee',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'employee::employee.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "referred_by", 
                "type" => "text", 
                "label" => 'employee::employee.label.referred_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "company_id", 
                "type" => "text", 
                "label" => 'employee::employee.label.company_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "branch_id", 
                "type" => "text", 
                "label" => 'employee::employee.label.branch_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "department_id", 
                "type" => "text", 
                "label" => 'employee::employee.label.department_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "division_id", 
                "type" => "text", 
                "label" => 'employee::employee.label.division_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "manager_id", 
                "type" => "text", 
                "label" => 'employee::employee.label.manager_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'employee::employee.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "martial_status", 
                "type" => "text", 
                "label" => 'employee::employee.label.martial_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "religion", 
                "type" => "text", 
                "label" => 'employee::employee.label.religion', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "process_step", 
                "type" => "text", 
                "label" => 'employee::employee.label.process_step', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "employment_history", 
                "type" => "text", 
                "label" => 'employee::employee.label.employment_history', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_home", 
                "type" => "text", 
                "label" => 'employee::employee.label.contact_home', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_work", 
                "type" => "text", 
                "label" => 'employee::employee.label.contact_work', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_emergency", 
                "type" => "text", 
                "label" => 'employee::employee.label.contact_emergency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bank_account", 
                "type" => "text", 
                "label" => 'employee::employee.label.bank_account', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contract", 
                "type" => "text", 
                "label" => 'employee::employee.label.contract', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "current_salary", 
                "type" => "text", 
                "label" => 'employee::employee.label.current_salary', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "current_salary_date", 
                "type" => "text", 
                "label" => 'employee::employee.label.current_salary_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "prev_salary", 
                "type" => "text", 
                "label" => 'employee::employee.label.prev_salary', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "probation_period", 
                "type" => "text", 
                "label" => 'employee::employee.label.probation_period', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commission_per", 
                "type" => "text", 
                "label" => 'employee::employee.label.commission_per', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "flexible_com", 
                "type" => "text", 
                "label" => 'employee::employee.label.flexible_com', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'employee::employee.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "employee_updates", 
                "type" => "text", 
                "label" => 'employee::employee.label.employee_updates', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "week_off", 
                "type" => "text", 
                "label" => 'employee::employee.label.week_off', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "employee_code", 
                "type" => "text", 
                "label" => 'employee::employee.label.employee_code', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "terminate_reason", 
                "type" => "text", 
                "label" => 'employee::employee.label.terminate_reason', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "terminate_date", 
                "type" => "text", 
                "label" => 'employee::employee.label.terminate_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "has_attendance", 
                "type" => "text", 
                "label" => 'employee::employee.label.has_attendance', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "other_type", 
                "type" => "text", 
                "label" => 'employee::employee.label.other_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sponsor", 
                "type" => "text", 
                "label" => 'employee::employee.label.sponsor', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "terminated_type", 
                "type" => "text", 
                "label" => 'employee::employee.label.terminated_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "transfer_date", 
                "type" => "text", 
                "label" => 'employee::employee.label.transfer_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "position_history", 
                "type" => "text", 
                "label" => 'employee::employee.label.position_history', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "created_id", 
                "type" => "text", 
                "label" => 'employee::employee.label.created_id', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.ref',
                "placeholder" => 'employee::employee.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'referred_by',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.referred_by',
                "placeholder" => 'employee::employee.placeholder.referred_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'company_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'employee::employee.label.company_id',
                "placeholder" => 'employee::employee.placeholder.company_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'branch_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'employee::employee.label.branch_id',
                "placeholder" => 'employee::employee.placeholder.branch_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'department_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'employee::employee.label.department_id',
                "placeholder" => 'employee::employee.placeholder.department_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'division_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'employee::employee.label.division_id',
                "placeholder" => 'employee::employee.placeholder.division_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'manager_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'employee::employee.label.manager_id',
                "placeholder" => 'employee::employee.placeholder.manager_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.name',
                "placeholder" => 'employee::employee.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'martial_status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'employee::employee.label.martial_status',
                "placeholder" => 'employee::employee.placeholder.martial_status',
                "rules" => '',
                "options" => function(){
                    return trans('employee::employee.options.martial_status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'religion',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.religion',
                "placeholder" => 'employee::employee.placeholder.religion',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'process_step',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.process_step',
                "placeholder" => 'employee::employee.placeholder.process_step',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'employment_history',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.employment_history',
                "placeholder" => 'employee::employee.placeholder.employment_history',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_home',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.contact_home',
                "placeholder" => 'employee::employee.placeholder.contact_home',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_work',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.contact_work',
                "placeholder" => 'employee::employee.placeholder.contact_work',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_emergency',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.contact_emergency',
                "placeholder" => 'employee::employee.placeholder.contact_emergency',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bank_account',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.bank_account',
                "placeholder" => 'employee::employee.placeholder.bank_account',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contract',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.contract',
                "placeholder" => 'employee::employee.placeholder.contract',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'current_salary',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.current_salary',
                "placeholder" => 'employee::employee.placeholder.current_salary',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'current_salary_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'employee::employee.label.current_salary_date',
                "placeholder" => 'employee::employee.placeholder.current_salary_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'prev_salary',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.prev_salary',
                "placeholder" => 'employee::employee.placeholder.prev_salary',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'probation_period',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'employee::employee.label.probation_period',
                "placeholder" => 'employee::employee.placeholder.probation_period',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commission_per',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'employee::employee.label.commission_per',
                "placeholder" => 'employee::employee.placeholder.commission_per',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'flexible_com',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'employee::employee.label.flexible_com',
                "placeholder" => 'employee::employee.placeholder.flexible_com',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.notes',
                "placeholder" => 'employee::employee.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'employee_updates',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.employee_updates',
                "placeholder" => 'employee::employee.placeholder.employee_updates',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'week_off',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.week_off',
                "placeholder" => 'employee::employee.placeholder.week_off',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'employee_code',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.employee_code',
                "placeholder" => 'employee::employee.placeholder.employee_code',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'terminate_reason',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.terminate_reason',
                "placeholder" => 'employee::employee.placeholder.terminate_reason',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'terminate_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'employee::employee.label.terminate_date',
                "placeholder" => 'employee::employee.placeholder.terminate_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'has_attendance',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'employee::employee.label.has_attendance',
                "placeholder" => 'employee::employee.placeholder.has_attendance',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'other_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.other_type',
                "placeholder" => 'employee::employee.placeholder.other_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sponsor',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.sponsor',
                "placeholder" => 'employee::employee.placeholder.sponsor',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'terminated_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.terminated_type',
                "placeholder" => 'employee::employee.placeholder.terminated_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'transfer_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'employee::employee.label.transfer_date',
                "placeholder" => 'employee::employee.placeholder.transfer_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'position_history',
                "element" => 'text',
                "type" => 'text',
                "label" => 'employee::employee.label.position_history',
                "placeholder" => 'employee::employee.placeholder.position_history',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'created_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'employee::employee.label.created_id',
                "placeholder" => 'employee::employee.placeholder.created_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'employee/employee/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'employee/employee/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'employee/employee',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'employee/employee',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'employee/employee',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'employee/employee',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'employee::employee.label.created_at',
            'name' => 'employee::employee.label.name',
            'status' => 'employee::employee.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "employee::employee.groups.main",
                'group' => "main.main",
                'title' => "employee::employee.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "employee::employee.groups.details",
                'group' => "main.details",
                'title' => "employee::employee.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "employee::employee.groups.images",
                'group' => "main.images",
                'title' => "employee::employee.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "employee::employee.groups.settings",
                'group' => "main.settings",
                'title' => "employee::employee.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Employee',
            'module' => 'Employee',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Employee\Models\Employee::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'employee::employee.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['employee.employee.copy', 'employee.employee.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'employee::employee.label.count',
                        "placeholder" => 'employee::employee.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'employee::employee.label.comment',
                        "placeholder" => 'employee::employee.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'employee::employee.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'employee::employee.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
