<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoEmployeeDocumentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_employee_documents
         */
        Schema::create('bixo_employee_documents', function ($table) {
            $table->increments('id');
            $table->string('ref', 50)->nullable();
            $table->integer('employee_id')->nullable();
            $table->string('type', 30)->nullable();
            $table->string('name', 50)->nullable();
            $table->string('number', 80)->nullable();
            $table->text('description')->nullable();
            $table->date('expiry_date')->nullable();
            $table->date('issue_date')->nullable();
            $table->text('details')->nullable();
            $table->text('files')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->integer('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_employee_documents');
    }
}
