<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoEmployeeLeavesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_employee_leaves
         */
        Schema::create('bixo_employee_leaves', function ($table) {
            $table->increments('id');
            $table->integer('employee_id')->nullable();
            $table->string('type', 30)->nullable();
            $table->decimal('count', 10,2)->nullable();
            $table->date('expiry')->nullable();
            $table->date('month')->nullable();
            $table->decimal('used', 10,0)->nullable();
            $table->integer('attendance_id')->nullable();
            $table->tinyInteger('import')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_employee_leaves');
    }
}
