<?php

namespace Bixo\Employee\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class DocumentTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_employee_documents')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.employee.document.view',
                'name'      => 'View Document',
            ],
            [
                'slug'      => 'bixo.employee.document.create',
                'name'      => 'Create Document',
            ],
            [
                'slug'      => 'bixo.employee.document.edit',
                'name'      => 'Update Document',
            ],
            [
                'slug'      => 'bixo.employee.document.delete',
                'name'      => 'Delete Document',
            ],
            
                        [
                'slug'      => 'bixo.employee.document.verify',
                'name'      => 'Verify Document',
            ],
            [
                'slug'      => 'bixo.employee.document.approve',
                'name'      => 'Approve Document',
            ],
            [
                'slug'      => 'bixo.employee.document.publish',
                'name'      => 'Publish Document',
            ],
            [
                'slug'      => 'bixo.employee.document.unpublish',
                'name'      => 'Unpublish Document',
            ],
            [
                'slug'      => 'bixo.employee.document.cancel',
                'name'      => 'Cancel Document',
            ],
            [
                'slug'      => 'bixo.employee.document.archive',
                'name'      => 'Archive Document',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/employee/document',
                'name'        => 'Document',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/employee/document',
                'name'        => 'Document',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'document',
                'name'        => 'Document',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Employee',
                'module'    => 'Document',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.employee.document.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
