<?php

namespace Bixo\Employee\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class LeaveTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_employee_leaves')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.employee.leave.view',
                'name'      => 'View Leave',
            ],
            [
                'slug'      => 'bixo.employee.leave.create',
                'name'      => 'Create Leave',
            ],
            [
                'slug'      => 'bixo.employee.leave.edit',
                'name'      => 'Update Leave',
            ],
            [
                'slug'      => 'bixo.employee.leave.delete',
                'name'      => 'Delete Leave',
            ],
            
                        [
                'slug'      => 'bixo.employee.leave.verify',
                'name'      => 'Verify Leave',
            ],
            [
                'slug'      => 'bixo.employee.leave.approve',
                'name'      => 'Approve Leave',
            ],
            [
                'slug'      => 'bixo.employee.leave.publish',
                'name'      => 'Publish Leave',
            ],
            [
                'slug'      => 'bixo.employee.leave.unpublish',
                'name'      => 'Unpublish Leave',
            ],
            [
                'slug'      => 'bixo.employee.leave.cancel',
                'name'      => 'Cancel Leave',
            ],
            [
                'slug'      => 'bixo.employee.leave.archive',
                'name'      => 'Archive Leave',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/employee/leave',
                'name'        => 'Leave',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/employee/leave',
                'name'        => 'Leave',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'leave',
                'name'        => 'Leave',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Employee',
                'module'    => 'Leave',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.employee.leave.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
