<?php

// Web routes  for employee.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for employee

Route::prefix('{guard}/employee')->group(function () {

    Route::get('/workflow/{employee}/{user}', 'EmployeeWorkflowController@get')
        ->name('bixo.employee.workflow');
    Route::post('/workflow/{employee}/{user}', 'EmployeeWorkflowController@post');

    Route::get('/action/{employee}/{user}', 'EmployeeActionController@get')
        ->name('bixo.employee.action');
    Route::post('/action/{employee}/{user}', 'EmployeeActionController@post');

});


// Workflow routes for document

Route::prefix('{guard}/document')->group(function () {

    Route::get('/workflow/{document}/{user}', 'DocumentWorkflowController@get')
        ->name('bixo.employee.workflow');
    Route::post('/workflow/{document}/{user}', 'DocumentWorkflowController@post');

    Route::get('/action/{document}/{user}', 'DocumentActionController@get')
        ->name('bixo.employee.action');
    Route::post('/action/{document}/{user}', 'DocumentActionController@post');

});


// Workflow routes for attendance

Route::prefix('{guard}/attendance')->group(function () {

    Route::get('/workflow/{attendance}/{user}', 'AttendanceWorkflowController@get')
        ->name('bixo.employee.workflow');
    Route::post('/workflow/{attendance}/{user}', 'AttendanceWorkflowController@post');

    Route::get('/action/{attendance}/{user}', 'AttendanceActionController@get')
        ->name('bixo.employee.action');
    Route::post('/action/{attendance}/{user}', 'AttendanceActionController@post');

});


// Workflow routes for leave

Route::prefix('{guard}/leave')->group(function () {

    Route::get('/workflow/{leave}/{user}', 'LeaveWorkflowController@get')
        ->name('bixo.employee.workflow');
    Route::post('/workflow/{leave}/{user}', 'LeaveWorkflowController@post');

    Route::get('/action/{leave}/{user}', 'LeaveActionController@get')
        ->name('bixo.employee.action');
    Route::post('/action/{leave}/{user}', 'LeaveActionController@post');

});

