<?php

namespace Bixo\Employee\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Employee\Http\Requests\AttendanceActionsRequest;
use Bixo\Employee\Actions\AttendanceActions;

/**
 * Admin web controller class.
 */
class AttendanceActionsController extends BaseController
{

    /**
     * Action controller function for attendance.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(AttendanceActionsRequest $request, $action)
    {
        try {
            $attendance = AttendanceActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('employee::attendance.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('employee/attendance/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('employee/attendance/' . $action))
                ->redirect();
        }
    }
}
