<?php

namespace Bixo\Employee\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Employee\Actions\LeaveReport;
use Bixo\Employee\Http\Requests\LeaveReportRequest;

/**
 * Admin web controller class.
 */
class LeaveReportController extends BaseController
{
    /**
     * Action controller function for leave.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(LeaveReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Leave::class);
            $data = LeaveReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('employee::leave.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('employee/leave/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('employee/leave/' . $report))
                ->redirect();
        }
    }
}
