<?php


namespace Bixo\Employee\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait AttendanceReport
{

    /**
     * Determine if the given user can approve the given attendance.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('employee.attendance.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given attendance.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('employee.attendance.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given attendance.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('employee.attendance.report.download')) {
            return true;
        }

        return false;
    }
}
