<?php

namespace Bixo\Employee\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Employee policy
        \Bixo\Employee\Models\Employee::class 
        => \Bixo\Employee\Policies\EmployeePolicy::class,// Bind Document policy
        \Bixo\Employee\Models\Document::class 
        => \Bixo\Employee\Policies\DocumentPolicy::class,// Bind Attendance policy
        \Bixo\Employee\Models\Attendance::class 
        => \Bixo\Employee\Policies\AttendancePolicy::class,// Bind Leave policy
        \Bixo\Employee\Models\Leave::class 
        => \Bixo\Employee\Policies\LeavePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
